class login_themes::plymouth::logocta {

    package { [
        "plymouth-theme-ubuntu-logo"
        ]: ensure => installed
    }

    file {
        "/lib/plymouth/themes/ubuntu-logo/ubuntu_logo.png":
         mode    => 644,
         owner   => root,
         group   => root,
         source  => "puppet:///login_themes/plymouth/ubuntu_logo.png",
         require => Package[plymouth-theme-ubuntu-logo];
        "/lib/plymouth/themes/ubuntu-logo/ubuntu_logo16.png":
         mode    => 644,
         owner   => root,
         group   => root,
         source  => "puppet:///login_themes/plymouth/ubuntu_logo16.png",
         require => Package[plymouth-theme-ubuntu-logo];
    }
}
